[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: Subversion upgraded to Berkeley DB 4.0.14

From: Justin Erenkrantz <jerenkrantz_at_ebuilt.com>
Date: 2002-01-02 23:13:30 CET

On Wed, Jan 02, 2002 at 08:38:19PM +0000, Philip Martin wrote:
> Karl Fogel <kfogel@newton.ch.collab.net> writes:
>
> > There are no known interop issues with Apache, even when httpd is
> > using a different dbm or different release of Berkeley, so if you run
> > into a problem, please report it right away.
>
> Really? Well, I have problems using shared svn apache modules. This is
> not specific to db4, I have the same problem with db3. In my setup I
> have
<snip, snip>
> $ LD_PRELOAD=/usr/local/subversion/lib/libdb-4.0.so /usr/local/apache/bin/apachectl start
>
> When apache is run like this the checkout command works fine.

How recent is this Apache 2.0 checkout? We added the db4 detection
after 2.0.28, so you probably need to checkout HEAD of httpd-2.0,
apr, and apr-util. If you are using HEAD with a fresh checkout,
I'm kind of at a loss. =) -- justin

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@subversion.tigris.org
For additional commands, e-mail: dev-help@subversion.tigris.org
Received on Sat Oct 21 14:36:54 2006

This is an archived mail posted to the Subversion Dev mailing list.